为了账号安全,请及时绑定邮箱和手机立即绑定

如何在MacOSX10.8/Xcode 4.4上使用/安装GCC

/ 猿问

如何在MacOSX10.8/Xcode 4.4上使用/安装GCC

桃花长相依 2019-07-22 15:40:41

如何在MacOSX10.8/Xcode 4.4上使用/安装GCC

我已经安装了山狮(MacOSX10.8),现在GCC似乎不再可用了。我还安装了Xcode 4.4,因此不再有/Developer目录。

我需要GCC的Mac端口和红宝石(有本地扩展)。

Xcode 4.4是否包括GCC,还是有办法安装GCC?


查看完整描述

3 回答

?
慕仙森

现在可以从终端运行以下命令:

xcode-select --install

从Xcode 4.3开始-现在必须手动安装命令行工具Xcode menu > Preferences > Downloads.

另外,也有两个独立的安装包。山狮(10.8)小牛队(10.9).

该包通过安装命令行开发工具以及MacOSXSDK框架和标头,通过终端支持UNIX风格的开发。其中包括许多有用的工具,如AppleLLVM编译器、链接器和make。如果使用Xcode,这些工具也嵌入到Xcode IDE中,并且可以使用Xcode 4.3及更高版本中的下载首选项窗格安装在系统上。此软件包需要MacOSX10.7.3或更高版本。


查看完整回答
反对 回复 2019-07-22
?
动漫人物

我发现在从Lion升级后,我的安装失败了,因为它正在/usr/bin/GCC-4.2中寻找GCC。现在默认的安装路径是/usr/bin/GCC。

我的错误如下:

make: /usr/bin/gcc-4.2: No such file or directory

一个符号链接将解决这个问题:

sudo ln -s /usr/bin/gcc /usr/bin/gcc-4.2


查看完整回答
反对 回复 2019-07-22
?
慕仰8121524

前1.9.3山狮上的红宝石

先决条件

Xcode 4.4, Xcode Command Line ToolsHomebrewXQuartz 2.7.2 or later.rbenv/ruby-build or RVM.

安装GCC

注意,Xcode命令行工具不包括GCC,它们包括LLVM-GCC.一样的-一样的,但不一样。

$ brew tap homebrew/dupes
$ brew install apple-gcc42

将以下内容添加到您的~/.profile或等效文件中:

export CC=/usr/local/bin/gcc-4.2

并在尝试下面的安装命令之前重新加载您的shell。

安装RVM

CFLAGS="-I/opt/X11/include" rvm reinstall ree

安装Ruby

Prefix the install command with CFLAGS="-I/opt/X11/include"

然后将新的ruby设置为默认值:

user$ rvm use 1.9.2 --default

然后检查你的红宝石版本:

user$ ruby -v


查看完整回答
反对 回复 2019-07-22

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信